//TODO: the linechart module should be able to generate the linechart and return the encapsulating svg element
//			that element should be sued, lol, used by react for rendering

import React from 'react'
import ReactDOM from 'react-dom'
import { SVGContainer } from './SVGContainer'
import { createLineChart } from './LineChart'

const root = document.getElementById('app')

const App = () => (
  <SVGContainer
    width={200}
    height={200}
    x={100}
    y={100}
  >
    <Title text={'Visualization'}></Title>
    <LineChart/>
  </SVGContainer>
)

const Visualization = () => <g></g>
const LineChart = () => {
  console.log("calling linechart with", root)
  createLineChart(root)
}
const Title = ({text}) => <text>{text}</text>

console.log(App)
ReactDOM.render(<App />, root)
